package me.zhengjie.modules.system.service.webstocket.req;

import com.alibaba.fastjson2.annotation.JSONField;
import me.zhengjie.modules.system.service.webstocket.WebSocketParam;

import java.io.Serializable;

public class WebSocketReqDTO extends WebSocketParam implements Serializable {

    // 消息参数
    private WebSocketReqData Data;

    // 机器品牌标识，32位UUID
    private String Id;

    // 指令类型 CapabilitieEnum
    private String command;

    // 打印的文件路径
    private String filename;

    // 获取图片时用到：0视觉图片；1设备图片
    private Integer category = 0;

    @JSONField(name = "Data")
    public WebSocketReqData getData() {
        return Data;
    }

    public void setData(WebSocketReqData data) {
        Data = data;
    }

    public String getId() {
        return Id;
    }

    public void setId(String id) {
        Id = id;
    }

    public String getCommand() {
        return command;
    }

    public void setCommand(String command) {
        this.command = command;
    }

    public String getFilename() {
        return filename;
    }

    public void setFilename(String filename) {
        this.filename = filename;
    }

    public Integer getCategory() {
        return category;
    }

    public void setCategory(Integer category) {
        this.category = category;
    }
}
